<?php
include('inc/header.php'); 

echo '<h1>Accountmanagement - Wartung</h1>
<div class="container">';
if(isset($_POST['submit'])){
	odbc_exec($odbc_connect, 'USE [' . $_CONFIG['db_databases']['acc'] . ']');
	$retval = odbc_exec($odbc_connect, 'SELECT * FROM [ACCOUNT_TBL] WHERE [account] = \''.$_POST['username'].'\'');
	if(odbc_num_rows($retval) != 0) {
		if(isset($_POST['wart'])){
			if(odbc_num_rows(odbc_exec($odbc_connect, 'SELECT * FROM [ACCOUNT_TBL] WHERE [account] = \''.$_POST['username'].'\' AND [password] = \''.mssql_escape_string(md5($_CONFIG['allg_svr_salt'].$_CONFIG['admin_maintenance_pw'])).'\'')) < 1) {
				odbc_exec($odbc_connect, 'UPDATE [ACCOUNT_TBL] SET [TempPassword] = [password], [password] = \''.mssql_escape_string(md5($_CONFIG['allg_svr_salt'].$_CONFIG['admin_maintenance_pw'])).'\' WHERE [account] = \''.mssql_escape_string($_POST['username']).'\'');
				echo '<p class="success">Wartungsmodus wurde initialisiert. Du kannst dich mit dem entsprechenden Passwort nun einloggen.</p>';
			}
			else {
				echo '<p class="fail">Dieser Account ist bereits im Wartungsmodus.</p>';
			}
		}
		else {
			$check = odbc_exec($odbc_connect, 'SELECT * FROM [ACCOUNT_TBL] WHERE [account] = \''.mssql_escape_string($_POST['username']).'\'');
			if( odbc_result($check, 'TempPassword') != '' ){
				odbc_exec($odbc_connect, 'UPDATE [ACCOUNT_TBL] SET [password] = [TempPassword], [TempPassword] = NULL WHERE [account] = \''.mssql_escape_string($_POST['username']).'\'');
				echo '<p class="success">Wartung abgeschlossen. Das Passwort des Nutzers wurde zur�ckgesetzt.</p>';
			}
			else {
				echo '<p class="fail">Der Account befindet sich nicht im Wartungsmodus, also kann ebendieser auch nicht aufgehoben werden.</p>';
			}
		}
	}
	else {
		echo '<p class="fail">Der Account existiert nicht.</p>';
	}
}

echo '
<form action="" method="post">

	<input type="text" name="username" id="username" style="width: 160px;"/>
		<label for="username">Account ID</label><br />
	<input type="checkbox" name="wart" id="wart" value="wart">
		<label for="wart">Wartungsmodus</label><br />
	<input type="submit" name="submit">
</form>
</div>';

include('inc/footer.php');
?>